Subject: Re: [dhcwg] 3315bis (RFC8415) - Thanks to all!!

From: "Templin (US), Fred L" <[email-masked]>
Date: Tue, 18 Dec 2018 00:56:20 +0000

Bernie,

Congratulations on seeing this important work through to successful publication!

I do have one question regarding prefix delegation: in RFC3633, it says:

   "Upon the receipt of a valid Reply message, for each IA_PD the
   requesting router assigns a subnet from each of the delegated
   prefixes to each of the links to which the associated interfaces are
   attached, with the following exception: the requesting router MUST
   NOT assign any delegated prefixes or subnets from the delegated
   prefix(es) to the link through which it received the DHCP message
   from the delegating router."

Unless I missed it, I do not see the same "MUST NOT" in RFC8415. What can
we infer from this? Does it mean that it is now OK for the RR to assign the
prefix to the upstream link? Or, is it the case that RFC8415 simply chose to
remain silent on the subject and leave it to other documents of a more
operational nature to deal with the subject?

Thanks in advance,

Fred

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Wednesday, November 28, 2018 12:02 PM
To: [email-masked]
Cc: Ralph Droms <[email-masked]>
Subject: [dhcwg] 3315bis (RFC8415) - Thanks to all!!

Hi:

It was great to finally see the multi-year effort on 3315bis be published (RFC8415). draft-dhcwg-dhc-rfc3315bis-00 was published January 2014. My guess is that this has taken about 5 years as work began a few months prior to convert RFC3315 text into an XML to produce this first document.

Thanks to the co-authors, Ralph Droms (as document shepherd), the many reviewers for their feedback, and the WG in supporting the effort. And, to the RFC-Editor in their work to finalize the document.

But ... We're not done yet, as hopefully we'll work to advance DHCPv6 to full standard - hopefully that will be a much smaller (and shorter) effort!!

If you do find issues or areas of concern as you reference the document (and please start using it instead of 3315!), please be sure to file an errata or at least drop the co-authors a note.

Again, thanks for everyone's efforts!!

-          Bernie Volz

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 18 Dec 2018 01:00:28 +0000

Thanks ... it was a major effort by many - including you!

Regarding your questions, I believe it is the “Or, is it the case that RFC8415 simply chose to remain silent on the subject and leave it to other documents of a more operational nature to deal with the subject?”

- Bernie

On Dec 17, 2018, at 7:56 PM, Templin (US), Fred L <[email-masked]<mailto:[email-masked]>> wrote:

Bernie,

   “Upon the receipt of a valid Reply message, for each IA_PD the
   requesting router assigns a subnet from each of the delegated
   prefixes to each of the links to which the associated interfaces are
   attached, with the following exception: the requesting router MUST
   NOT assign any delegated prefixes or subnets from the delegated
   prefix(es) to the link through which it received the DHCP message
   from the delegating router.”

Unless I missed it, I do not see the same “MUST NOT” in RFC8415. What can

Thanks in advance,

Fred

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Wednesday, November 28, 2018 12:02 PM
To: [email-masked]<mailto:[email-masked]>
Cc: Ralph Droms <[email-masked]<mailto:[email-masked]>>
Subject: [dhcwg] 3315bis (RFC8415) - Thanks to all!!

Hi:

But … We’re not done yet, as hopefully we’ll work to advance DHCPv6 to full standard – hopefully that will be a much smaller (and shorter) effort!!

Again, thanks for everyone’s efforts!!

-          Bernie Volz

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Tue, 18 Dec 2018 19:48:13 +0000

Hi Bernie,

We have such an operational document aligned with v6ops:

https://datatracker.ietf.org/doc/draft-templin-v6ops-pdhost/

Here is the text that speaks to this subject (where “the node” refers
to the DHCPv6 PD requesting router/client and “the prefix” refers to
the delegated prefix):

   “In a second alternative, the node can assign as many addresses as it
   wants from the prefix to the upstream interface over which the prefix
   was received, but in normal practice does not assign the prefix
   itself (or subnets from the prefix) to the upstream interface.  If
   the node assigned the prefix to the upstream interface, any neighbors
   on the upstream link receiving an RA could configure addresses from
   the prefix and a default route with the node as the next hop.  This
   could create a loop where upstream link neighbors send packets to the
   node which in turn forwards them to another upstream link neighbor.
   Still, there may be cases where the node provides services for
   dependent neighbors on the upstream link that have no other means of
   connecting to the network.  ([RFC8415] chose to remain silent on this
   subject since it is operational rather than functional in nature.)”

How does this look?

Thanks - Fred

From: Bernie Volz (volz) [mailto:[email-masked]]
Sent: Monday, December 17, 2018 5:00 PM
To: Templin (US), Fred L <[email-masked]>
Cc: [email-masked]; Ralph Droms <[email-masked]>
Subject: Re: 3315bis (RFC8415) - Thanks to all!!

- Bernie

Thanks in advance,

Fred

Hi:

-          Bernie Volz

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 18 Dec 2018 21:20:50 +0000

With a quick read and look at the context in the draft, seems OK to me. You do articulate the issues if the prefix were assigned.

-          Bernie

From: Templin (US), Fred L <[email-masked]>
Sent: Tuesday, December 18, 2018 2:48 PM
To: Bernie Volz (volz) <[email-masked]>
Cc: [email-masked]; Ralph Droms <[email-masked]>
Subject: RE: 3315bis (RFC8415) - Thanks to all!!

Hi Bernie,

How does this look?

Thanks - Fred

From: Bernie Volz (volz) [mailto:[email-masked]]
Sent: Monday, December 17, 2018 5:00 PM
To: Templin (US), Fred L <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Ralph Droms <[email-masked]<mailto:[email-masked]>>
Subject: Re: 3315bis (RFC8415) - Thanks to all!!

- Bernie

Thanks in advance,

Fred

Hi:

-          Bernie Volz

---

From: Roy Marples <[email-masked]>
Date: Tue, 18 Dec 2018 22:38:00 +0000

Isn't that what Prefix Exclude is for?

https://tools.ietf.org/html/rfc6603

Roy

On 18/12/2018 19:48, Templin (US), Fred L wrote:
> *From:* Bernie Volz (volz) [mailto:[email-masked]]
> *Sent:* Monday, December 17, 2018 5:00 PM
> *To:* Templin (US), Fred L <[email-masked]>
> *Cc:* [email-masked]; Ralph Droms <[email-masked]>
> *Subject:* Re: 3315bis (RFC8415) - Thanks to all!!
> 
> Regarding your questions, I believe it is the “Or, is it the case that 
> RFC8415 simply chose to remain silent on the subject and leave it to 
> other documents of a more operational nature to deal with the subject?”
> 
> - Bernie
> 
> 
> On Dec 17, 2018, at 7:56 PM, Templin (US), Fred L 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Bernie,
> 
>     *From:* dhcwg [mailto:[email-masked]] *On Behalf Of *Bernie
>     Volz (volz)
>     *Sent:* Wednesday, November 28, 2018 12:02 PM
>     *To:* [email-masked] <mailto:[email-masked]>
>     *Cc:* Ralph Droms <[email-masked] <mailto:[email-masked]>>
>     *Subject:* [dhcwg] 3315bis (RFC8415) - Thanks to all!!
> 
>     Hi:
> 
>     It was great to finally see the multi-year effort on 3315bis be
>     published (RFC8415). draft-dhcwg-dhc-rfc3315bis-00 was published
>     January 2014. My guess is that this has taken about 5 years as work
>     began a few months prior to convert RFC3315 text into an XML to
>     produce this first document.
> 
>     Thanks to the co-authors, Ralph Droms (as document shepherd), the
>     many reviewers for their feedback, and the WG in supporting the
>     effort. And, to the RFC-Editor in their work to finalize the document.
> 
>     But … We’re not done yet, as hopefully we’ll work to advance DHCPv6
>     to full standard – hopefully that will be a much smaller (and
>     shorter) effort!!
> 
>     If you do find issues or areas of concern as you reference the
>     document (and please start using it instead of 3315!), please be
>     sure to file an errata or at least drop the co-authors a note.
> 
>     -Bernie Volz
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Tue, 18 Dec 2018 23:47:38 +0000

It is a good point, but this concerns that portion of the delegated prefix that was
not named in a prefix exclude option. In the simplest case, for a /64 delegation
there is no prefix exclude and it is up to the requesting router to manage the
prefix appropriately without breaking anything. That is where the informative
text offered in 'draft-templin-v6ops-pdhost' provides guidance.

I think it would be useful for the draft to cite and discuss RFC6603, however,
so your point is well taken.

Thanks - Fred 

> -----Original Message-----
> From: dhcwg [mailto:[email-masked]] On Behalf Of Roy Marples
> Sent: Tuesday, December 18, 2018 2:38 PM
> To: [email-masked]
> Subject: Re: [dhcwg] 3315bis (RFC8415) - Thanks to all!!
>